Last modified: 2012-04-19 21:43:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20900 - Insert Table: Cannot insert tables in IE
Insert Table: Cannot insert tables in IE
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal critical (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-30 10:47 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Firebug showing javascript error causing the problem (315.73 KB, image/png)
2009-10-05 18:07 UTC, Trevor Parscal
Details

Description Calcey QA 2009-09-30 10:47:26 UTC
Reporting against the build hosted on Staging environment.

Steps to reproduce :
1) Start editing a page with sections.
2) Click on "Table" icon.
3) Specify values for "Columns" and "Rows" text boxes.
4) Click "Insert" button.

<<Specified table not inserting to the article>>

Expected Outcome:
Specified table should be inserted to the article.

Client Environment details ::

Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; GTB6;
SLCC1; .NET CLR 2.0.50727; .NET CLR 3.5.21022; .NET CLR 3.5.30729; .NET CLR
3.0.30618) 
Time and Date:  3:13:25 PM - Wednesday, September 30, 2009 
Javascript: Enabled 
Cookies Enabled: Enabled  
Java Enabled: Enabled  
CPU class/type: CPU Class x86  
Screen Width x Height: 1024 x 768  
Screen Color Depth: 32

Browser:  Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; GTB6; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR 1.1.4322; .NET CLR 3.5.30729; .NET CLR 3.0.30618; InfoPath.2) 
Time and Date:  4:14:42 PM - Wednesday, September 30, 2009 
Javascript: Enabled 
Cookies Enabled: Enabled  
Java Enabled: Enabled  
CPU class/type: CPU Class x86  
Screen Width x Height: 1280 x 800  
Screen Color Depth: 32
Comment 1 Calcey QA 2009-09-30 11:13:00 UTC
Changed the summary
Comment 2 Calcey QA 2009-09-30 11:15:36 UTC
Also Insert table does not work in Opera when user tries to insert a table to a blank page.
It works fine after entering at least one character 



Browser/Computer Properties
Browser (User-Agent): 	Opera/9.80 (Windows NT 6.0; U; en) Presto/2.2.15 Version/10.00
Time and Date: 	4:35:14 PM - Wednesday, September 30, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Enabled 
CPU class/type:	? 
Screen Width x Height:	1280 x 800 
Screen Color Depth:	32 
Window Width:	591 (46.2% of 1280) 
Window Height:	353 (44.1% of 800)
Comment 3 Roan Kattouw 2009-09-30 13:02:28 UTC
Fixed in r57100.
Comment 4 Roan Kattouw 2009-09-30 13:02:48 UTC
(In reply to comment #3)
> Fixed in r57100.
> 

Oops: *hopefully* fixed in r57100, didn't test.
Comment 5 Calcey QA 2009-09-30 18:00:22 UTC
Now table is inserted.
But the table is inserted at the top of the page irrespective of the cursor location.



Browser:  Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; GTB6;
SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR
1.1.4322; .NET CLR 3.5.30729; .NET CLR 3.0.30618; InfoPath.2) 
Javascript: Enabled 
Cookies Enabled: Enabled  
Java Enabled: Enabled  
CPU class/type: CPU Class x86  
Screen Width x Height: 1280 x 800  
Screen Color Depth: 32
Comment 6 Naoko Komura 2009-10-02 22:49:58 UTC
It is behaving correctly on FF3 on Ubuntu 9.04
Comment 7 Trevor Parscal 2009-10-05 18:07:30 UTC
Created attachment 6629 [details]
Firebug showing javascript error causing the problem

This is FF 2.0 (not 2.0.* - exactly 2.0) running on Vista.
Comment 8 Trevor Parscal 2009-10-05 18:11:05 UTC
please disregard that attachment / message.. it was meant for bug 20669....
Comment 9 Trevor Parscal 2009-10-05 20:11:45 UTC
OK - so not only does this happen with other dialogs, but if you click outside the textarea (causing it to loose focus) and THEN click any toolbar button which inserts content, the inserted content will be placed at the beginning rather than where the cursor was before the textarea lost focus.
Comment 10 Roan Kattouw 2009-10-05 21:44:16 UTC
Hopefully fixed in r57409.
Comment 11 Trevor Parscal 2009-10-05 22:51:04 UTC
I don't know - in IE7 things are pretty broken now. When I click on the toc, some text on the page toward the bottom gets selected. In IE selection occurs on the whole document so it's probably to do with miscalculating the range or something...
Comment 12 Roan Kattouw 2009-10-09 20:17:54 UTC
(In reply to comment #11)
> I don't know - in IE7 things are pretty broken now. When I click on the toc,
> some text on the page toward the bottom gets selected. In IE selection occurs
> on the whole document so it's probably to do with miscalculating the range or
> something...
> 

Is this still happening?
Comment 13 Calcey QA 2009-10-22 04:43:36 UTC
This is problem still happening in

Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR 3.5.30729; .NET CLR 3.0.04506) 


Browser (User-Agent): 	Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0)
Comment 14 Calcey QA 2009-10-23 05:51:18 UTC
If any links added to the page or add headings using the drop down all get inserted in the top of the page irrespective of the cursor location

Test Environment::
Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0;
SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR
3.5.30729; .NET CLR 3.0.04506) 

Browser (User-Agent):   Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1;
Trident/4.0)
Comment 15 Roan Kattouw 2009-11-17 12:44:12 UTC
(In reply to comment #14)
> If any links added to the page or add headings using the drop down all get
> inserted in the top of the page irrespective of the cursor location
There is a separate bug for this, bug 21492. The bug as filed was fixed.
Comment 16 Calcey QA 2010-01-25 04:55:53 UTC
Verified up to comment 13 in r61474 and close the bugs

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links